%define name suspend-scripts
%define version 1.4
%define release 1mdk

Summary: Scripts launched by system on suspend and resume
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Servers
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Provides: apm-scripts
Obsoletes: apm-scripts
Requires: lsof
Url: http://cvs.mandrakesoft.com/cgi-bin/cvsweb.cgi/soft/suspend-scripts/
BuildArchitectures: noarch

%description
Suspend-Script is launched by apm or acpid on resume and suspend, it
start or stop your network/sound etc... to make sure that everything
work after hybernation of your computer.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
make install ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/sysconfig/suspend
%doc ChangeLog
%dir /etc/sysconfig/suspend-scripts/suspend.d/
%config(noreplace) /etc/sysconfig/suspend-scripts/suspend.d/*
%config(noreplace) /etc/sysconfig/suspend-scripts/suspend.control
%config(noreplace) /etc/acpi/events/*
%dir /var/run/pm/
/usr/sbin/*

%changelog
* Mon Mar 10 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.4-1mdk
- suspend.sysconfig: Add apm specific config (#2982).
- suspend.control: Use -lt instead of < in check_ram() and fix
  mispell. (#2902)
- suspend.control: Sync after every launch.
- suspend.d/services: Add suspend: resume: tag..

* Fri Feb 28 2003 Frederic Lepied <flepied@mandrakesoft.com> 1.3-1mdk
- added acpid script to shutdown

* Mon Feb 17 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.2-1mdk
- suspend.d/xfree: Don't loop infinitely when we don't have
  xscreensaver or kdeinit launched.
- Let User can specify to use /proc/sys/kernel/swsusp.

* Mon Feb 17 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1-1mdk
- Add APM support.

* Mon Feb  3 2003 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0-1mdk
- First release.


# end of file
